org.eclipse.wst.jsdt.chromium.debug.core.model

## Class BreakpointAdapterFactory

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.BreakpointAdapterFactory

    public class BreakpointAdapterFactory
    extends java.lang.Object

Factory of LineBreakpointAdapters for browser scripts.

### Constructor Summary

Constructors
Constructor and Description
`BreakpointAdapterFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `getAdapter(java.lang.Object adaptableObject, java.lang.Class adapterType)`
`java.lang.Class[]` `getAdapterList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BreakpointAdapterFactory

    public BreakpointAdapterFactory()

### Method Detail

#### getAdapter

    public java.lang.Object getAdapter(java.lang.Object adaptableObject,
                                       java.lang.Class adapterType)

#### getAdapterList

    public java.lang.Class[] getAdapterList()